#pragma once

#include "CoreMinimal.h"
#include "BhvrBarkResponse.h"
#include "EDBDBarkTargetObject.h"
#include "EDBDBarkConversationStopType.h"
#include "DBDBarkResponse_VO_StopConversation.generated.h"

UCLASS(Blueprintable)
class DBDBARK_API UDBDBarkResponse_VO_StopConversation : public UBhvrBarkResponse
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EDBDBarkTargetObject Target;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EDBDBarkConversationStopType Type;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsInterrupt;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	uint8 SpecificPriority;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FName> SpecificIds;

public:
	UDBDBarkResponse_VO_StopConversation();
};

FORCEINLINE uint32 GetTypeHash(const UDBDBarkResponse_VO_StopConversation) { return 0; }
